Product-Related Video List
Introduction
Retrieve a list of videos related to specified products with the following features:
- Search by product ID
- Returns detailed video information, including video description, play count, and engagement data
- Includes sales data associated with videos, such as sales volume and revenue
API Endpoint
bash
POST /product/v1/videoListRequest Parameters
| Field | Type | Required | Description |
|---|---|---|---|
product_id | string | Yes | Product ID |
days | int | No | Recent N days (publish time) |
create_time_range | int | No | Video publish time range ( unix timestamp ) |
is_ad | int | No | Is AD (0: No, 1: Yes) |
Note:
daysandcreate_time_rangecannot be passed together
Request Example
bash
curl 'https://openapi.fastmoss.com/product/v1/videoList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"product_id": "1729421229342823356",
# "days": 3,
"create_time_range": {
"min": 1767196800,
"max": 1777278619
}
},
"orderby": {
"field": "play_count",
"order": "desc"
},
# "orderby": {
# "field": "digg_count",
# "order": "desc"
# },
# "orderby": {
# "field": "comment_count",
# "order": "desc"
# },
# "orderby": {
# "field": "share_count",
# "order": "desc"
# },
# "orderby": {
# "field": "units_sold",
# "order": "desc"
# },
# "orderby": {
# "field": "gmv",
# "order": "desc"
# },
"page": 1,
"pagesize": 10
}'Response Body
data.list
| Field | Type | Description |
|---|---|---|
product_id | string | Product ID |
video_id | string | Video ID |
uid | string | User ID |
seller_id | string | Seller ID |
is_ad | int | Is Advertisement |
comment_count | int | Comment Count |
digg_count | int | Like Count |
play_count | int | Play Count |
share_count | int | Share Count |
create_date | string | Creation Date |
units_sold | int | Sales Volume |
gmv | float | Sales Revenue |
region | string | Country/Region |
video | object | Video Info Object |
data.list.video
| Field | Type | Description |
|---|---|---|
video_desc | string | Video Description |
cover | string | Cover Image URL |
duration | int | Duration (seconds) |
fastmoss_url | string | Fastmoss Link |
tiktok_url | string | TikTok Link |
uid | string | User ID |
create_time | timestamp | Create Time |
data.total
| Field | Type | Description |
|---|---|---|
total | string | Total Records |
Response Example
json
{
"code": 0,
"data": {
"list": [
{
"product_id": "1729421229342823356",
"video_id": "7468186866076880170",
"uid": "6790997286808093702",
"is_ad": 0,
"seller_id": "7495150597721263036",
"comment_count": 0,
"digg_count": 14,
"play_count": 4592,
"share_count": 0,
"create_time": 1765024218000,
"units_sold": 28,
"gmv": 700.0,
"video": {
"video_desc": "@tarte cosmetics #tiktokshoploveatfirstfind #fypシ #tartecosmetics ",
"cover": "https://s.500fd.com/tt_video/oIMPp5BmEi2ZEHYBiVzCkBKA0IlmpTGfwAhiOI",
"duration": 12,
"fastmoss_url": "https://www.fastmoss.com/zh/media-source/video/7468186866076880170",
"tiktok_url": "https://www.tiktok.com/@brriiddgett/video/7468186866076880170",
"uid": "6790997286808093702"
},
"region": "US"
}
],
"total": "3809"
},
"message": "success",
"timestamp": 1743573480,
"request_id": "efd631c4-92cf-5d27-4f41-de09f20dd714"
}